#include<bits/stdc++.h>
using namespace std;
string s;
int n;
int main(){
    cin>>n>>s;


        if(s=="ABCDEFGHIJKLMNOPQRSTUVWXYZ"){
            cout<<1;
        }
        else{
            cout<<0;
        }

        return 0;
}